%global momorel 4
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global e_sitedir  %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir   %{_datadir}/xemacs/site-packages
%global md5sum_src0 83b966f84e00f593f490680c5302021d

Summary: An Emacsen major mode for editing Haskell source code.
Name: elisp-haskell-mode
Version: 2.3
Release: %{momorel}m%{?dist}
%NoSource 0 http://www.iro.umontreal.ca/~monnier/elisp/haskell-mode-%{version}.tar.gz %{md5sum_src0}
License: GPL
Group: Applications/Editors
URL: http://haskell.org/haskell-mode/
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
Requires: emacsen
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description 
Haskell-mode is a major Emacs mode for editing Haskell source code.
It provides syntax highlighting and automatic indentation and comes
with inf-haskell which allows interaction with an inferior Haskell
interactive loop such as the one of Hugs or GHCi.

%package -n haskell-mode-emacs
Summary: An Emacsen major mode for editing Haskell source code.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n haskell-mode-emacs
Haskell-mode is a major Emacs mode for editing Haskell source code.
It provides syntax highlighting and automatic indentation and comes
with inf-haskell which allows interaction with an inferior Haskell
interactive loop such as the one of Hugs or GHCi.

%package -n haskell-mode-xemacs
Summary: An Emacsen major mode for editing Haskell source code.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n haskell-mode-xemacs
Haskell-mode is a major Emacs mode for editing Haskell source code.
It provides syntax highlighting and automatic indentation and comes
with inf-haskell which allows interaction with an inferior Haskell
interactive loop such as the one of Hugs or GHCi.

%prep
%setup -q -n haskell-mode-%{version}

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%install
# emacs
make EMACS=emacs
%__mkdir_p %{buildroot}%{e_sitedir}/haskell
%__install -m 644 *.el *.elc %{buildroot}%{e_sitedir}/haskell

%__rm -f *.elc

# xemacs
make EMACS=xemacs
%__mkdir_p %{buildroot}%{xe_sitedir}/haskell
%__install -m 644 *.el *.elc %{buildroot}%{xe_sitedir}/haskell

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README fontlock.hs indent.hs

%files -n haskell-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/haskell

%files -n haskell-mode-xemacs
%defattr(-,root,root)
%{xe_sitedir}/haskell

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3-4m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3-3m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3-2m)
- rebuild against emacs-22.0.96

* Sat Mar 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3-1m)
- update to 2.3

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-2m)
- rebuild against emacs-22.0.90

* Tue Aug 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1-1m)
- initial package
